File: Nuovo

From FreeCAD Documentation
Revision as of 13:45, 18 June 2020 by Renatorivo (talk | contribs)

Nuovo

Posizione nel menu
File → Nuovo
Ambiente
Tutti
Avvio veloce
Ctrl+N
Introdotto nella versione
-
Vedere anche
Apri,Importa

Descrizione

Il comando Nuovo crea un nuovo documento vuoto e lo rende il documento attivo.

Utilizzo

  1. Esistono diversi modi per invocare il comando:
    • Premere il pulsante Nuovo.
    • Selezionare l'opzione File → Nuovo dal menu.
    • Usare la scorciatoia da tastiera: Ctrl+N.

Preferenze

  • FreeCAD crea un nuovo documento all'avvio se Strumenti → Modifica parametri... → BaseApp → Preferenze → Documento → CreateNewDoc è impostato su true. Questa impostazione può essere modificata anche nell'editor delle preferenze.
  • Alcune proprietà del documento: nome dell'autore, nome dell'azienda e le informazioni sulla licenza, possono essere preimpostate nell'editor delle preferenze.

Proprietà

Most properties can also be changed in the dialog box of the Std ProjectInfo command.

  • DatiComment: Any comment that may apply.
  • DatiCompany: Company name. Can be preset.
  • DatiCreated By: Author name. Can be preset.
  • DatiCreation Date: Automatic date stamp. Not editable.
  • DatiFile Name: The full path of the file. Blank if the document has not been saved. Not editable.
  • DatiId: Not implemented yet.
  • DatiLabel: The name that will appear in the Tree view. By default the name of the document.
  • DatiLast Modified By: Author name. Can be preset.
  • DatiLast Modified Date: Automatic date stamp. Not editable.
  • DatiLicense: License type. Can be preset.
  • DatiLicense URL: License URL. Can be preset.
  • DatiShow Hidden: If true, items that have been hidden in the Tree view will be displayed anyway. Hiding items in the tree can be useful when working on larger models.
  • DatiTip: Not implemented yet.
  • DatiTip Name: Not implemented yet.
  • DatiTransient Dir: The transient directory used for recovery data. Not editable.

Script

Vedere anche: Script di base per FreeCAD

To create a new document use the newDocument method of the FreeCAD application.

import FreeCAD
from pathlib import Path

# The folder and filename we will use:
fld = 'D:/testfiles/'
fnm = fld + 'test.FCStd'

# Make sure fld exists:
Path(fld).mkdir(parents=True, exist_ok=True)

doc = FreeCAD.newDocument()
doc.saveAs(fnm)

FreeCAD.closeDocument(doc.Name)

doc = FreeCAD.open(fnm)
doc.save()

FreeCAD.closeDocument(doc.Name)